Levain LabsLevain Labs
ApiRaws

Upload Raw

Upload a raw artifact to the workspace.

Upload a raw artifact to the workspace.

The body is a multipart/form-data request with a single file part. The maximum size of a single upload is 25 MB.

POST
/api/v1/raws/

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

file*File

Response Body

application/json

application/json

curl -X POST "https://api.levainlabs.com/api/v1/raws/" \  -F file="string"
{
  "id": "string",
  "connector": "user",
  "source_id": "string",
  "run": "string",
  "filename": "string",
  "byte_size": 0,
  "last_modified": "2019-08-24T14:15:22Z",
  "presigned_get_url": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}